Debian Bug report logs - #706587
gsettings calls in gnome-screensaver script fail

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>

Date: Thu, 2 May 2013 00:57:02 UTC

Severity: important

Found in version live-config/3.0.23-1

Fixed in version live-config/4.0~a26-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#706587; Package live-config. (Thu, 02 May 2013 00:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
New Bug report received and forwarded. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Thu, 02 May 2013 00:57:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-config: disable gnome-screensaver not possible with gsettings without udev
Date: Wed, 01 May 2013 21:53:24 -0300
Package: live-config
Version: 3.0.23-1
Severity: normal

I found while testing the gnome live RC2 image which contains
live-config 3.0.23-1 that the screensaver still kicks in after a while.
I verified the gnome-screensaver hook was run, but also found that
/var/log/live/config.log contained this:

live-config: debconf hostname user-setup sudo locales tzdata gdm3 keyboard-configuration sysvinit sysv-rc gnome-panel-data gnome-power-manager gnome-screensaver
** (process:640): WARNING **: Cannot spawn a message bus without a machine-id: Unable to load /var/lib/dbus/machine-id or /etc/machine-id: Failed to open file '/var/lib/dbus/machine-id': No such file or directory

** (process:640): WARNING **: Cannot spawn a message bus without a machine-id: Unable to load /var/lib/dbus/machine-id or /etc/machine-id: Failed to open file '/var/lib/dbus/machine-id': No such file or directory
 kde-services debian-installer-launcher policykit anacron util-linux login xserver-xorg openssh-server.

That is, because udev has not started yet, we cannot use gsettings. This
is just like #705599 and I believe we can use the same approach as
Raphael's patch to solve this:

http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=0001-Update-finish-install.d-07speakup-to-use-the-relevan.patch;att=1;bug=705599

i.e. use a schema override to avoid running gsettings.

Ben

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.8-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-config depends on:
ii  live-config-sysvinit [live-config-backend]  3.0.23-1

Versions of packages live-config recommends:
ii  console-tools           1:0.2.3dbs-70
ii  iproute                 20120521-3+b4
ii  keyboard-configuration  1.92
ii  live-config-doc         3.0.22-1
ii  live-tools              3.0.20-1
ii  locales                 2.13-38
ii  locales-all [locales]   2.13-38
ii  sudo                    1.8.5p2-1+nmu1
ii  user-setup              1.48

Versions of packages live-config suggests:
ii  pciutils  1:3.1.9-6
ii  wget      1.14-1

-- no debconf information



Severity set to 'important' from 'normal' Request was from Ben Armstrong <synrg@sanctuary.nslug.ns.ca> to control@bugs.debian.org. (Thu, 02 May 2013 14:33:06 GMT) Full text and rfc822 format available.

Added indication that bug 706587 blocks 706618 Request was from Ben Armstrong <synrg@sanctuary.nslug.ns.ca> to control@bugs.debian.org. (Thu, 02 May 2013 14:33:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'gsettings calls in gnome-screensaver script fail' from 'live-config: disable gnome-screensaver not possible with gsettings without udev' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 May 2013 20:09:11 GMT) Full text and rfc822 format available.

Marked as fixed in versions live-config/4.0~a26-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 09 Sep 2013 21:21:04 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 09 Sep 2013 21:21:05 GMT) Full text and rfc822 format available.

Notification sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Bug acknowledged by developer. (Mon, 09 Sep 2013 21:21:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:14:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.